Bug 1247900 - gtk3 applications crash with scim-1.4.15-1.fc22
gtk3 applications crash with scim-1.4.15-1.fc22
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: scim (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peng Wu
Fedora Extras Quality Assurance
https://github.com/scim-im/scim/issues/5
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-29 04:10 EDT by Petr Pisar
Modified: 2015-08-10 06:06 EDT (History)
3 users (show)

See Also:
Fixed In Version: scim-1.4.15-5.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-31 03:55:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2015-07-29 04:10:18 EDT
With GTK_IM_MODULE=scim, gtk3 applications crash. For example Firefox. Or simple gtk3-demo from gtk3-devel package:

(1) Run gtk3-demo.
(2) Execute "Dialog and Message Boxes" demo by double-clicking on the label in the left panel.
(3) Focus an entry box by clicking in the "Entry 1" entry box in the Dialogs window.

The gtk3-demo crashes here. It happens with scim-1.4.15-1.fc22.x86_64 and gtk3-3.16.6-1.fc22.x86_64.

This was reported to upstream as <https://github.com/scim-im/scim/issues/5>. 


Also updating GTK3 IM modules when updating gtk3 package leads to this error message:

Cannot load module /usr/lib64/gtk-3.0/3.0.0/immodules/im-scim.so: /usr/lib64/gtk-3.0/3.0.0/immodules/im-scim.so: undefined symbol: gdk_x11_drawable_get_xdisplay
/usr/lib64/gtk-3.0/3.0.0/immodules/im-scim.so does not export GTK+ IM module API: /usr/lib64/gtk-3.0/3.0.0/immodules/im-scim.so: undefined symbol: gdk_x11_drawable_get_xdisplay

This was reported to upstream as <https://github.com/scim-im/scim/issues/4>.

Both upstream bug reports claim this upstream commit fixes it:

commit 88fbabed7dc236642021f8263f1b25bf67c6806e
Author: Tz-Huan Huang <tzhuan@gmail.com>
Date:   Fri Oct 24 13:12:32 2014 +0800

    Disable subdir-objects

diff --git a/configure.ac b/configure.ac
index 3d89eb1..f3901ba 100644
--- a/configure.ac
+++ b/configure.ac
@@ -78,7 +78,7 @@ AC_DEFINE_UNQUOTED(GETTEXT_PACKAGE,"$GETTEXT_PACKAGE", [The gettext domain])
 ###########################################################
 
 # Init automake stuff
-AM_INIT_AUTOMAKE([subdir-objects])
+AM_INIT_AUTOMAKE([])
 AM_CONFIG_HEADER([config.h])
 
 # Init libtool

I can confirm the patch fixes it for me.
Comment 1 Fedora Update System 2015-07-30 04:31:07 EDT
scim-1.4.15-5.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/scim-1.4.15-5.fc22
Comment 2 Fedora Update System 2015-07-30 04:32:22 EDT
scim-1.4.15-5.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/scim-1.4.15-5.fc23
Comment 3 Peng Wu 2015-07-30 04:33:15 EDT
Thanks very much for the patch!
Comment 4 Fedora Update System 2015-07-30 13:29:48 EDT
Package scim-1.4.15-5.fc23:
* should fix your issue,
* was pushed to the Fedora 23 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing scim-1.4.15-5.fc23'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12370/scim-1.4.15-5.fc23
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2015-07-31 03:55:32 EDT
scim-1.4.15-5.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2015-08-10 06:06:06 EDT
scim-1.4.15-5.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.